#
# spec file for package spectcl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spectcl
Version:        1.2.1.9
Release:        105.2
Summary:        Interface Builder for Tcl/Tk and Java
License:        SUSE-Sun-Laboratories
Group:          Development/Tools/GUI Builders
Url:            http://spectcl.sourceforge.net/
Source:         http://optimate.dl.sourceforge.net/project/spectcl/SpecTcl/1.2.2a/SpecTcl.tar.gz
Patch0:         SpecTcl1.1-dir.patch
Patch1:         SpecTcl1.1-tk8.4.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       SpecTcl1.1
Requires:       tk

%description
An interface builder for Tcl/Tk and Java.

Main Features of SpecTcl: * Easy to Learn:SpecTcl's drag & drop
   interface along with a powerful toolbar and on-line help that
   make it easy to start building GUI applications.

* Tcl and Java Support: SpecTcl generates both Tcl and Java code.
   Note: this generates code for the old JDK 1.0

* Platform Independent: SpecTcl runs on all major platforms:
   Solaris, SunOS, Linux, Windows 95, Windows NT, MacOS, and Irix.

* Constraint Based Geometry Manager: Alignment and resizing of widgets
(buttons, check boxes, and more.) is automatic. This makes creating
dynamic UIs and cross platform UIs a snap!



Authors:
--------
    Raymond Johnson <spectcl@tcl.eng.sun.com>
    Ioi Lam
    Allan Pratt

%prep
%setup -q -n SpecTcl
#%patch -P 0
#%patch -P 1

%build

%install
#touch /lastinit
INSTALLDIR="install -m 755 -d"
INSTALLEXE="install -m 755"
INSTALLFIL="install -m 644"
export SPECTCL_LIB=/usr/share/SpecTcl
export DOCDIR=%{_defaultdocdir}/spectcl
${INSTALLDIR} $RPM_BUILD_ROOT/usr/bin
${INSTALLDIR} $RPM_BUILD_ROOT/${SPECTCL_LIB}/bin
${INSTALLDIR} $RPM_BUILD_ROOT/${SPECTCL_LIB}/demo/images
${INSTALLDIR} $RPM_BUILD_ROOT/${SPECTCL_LIB}/examples
${INSTALLDIR} $RPM_BUILD_ROOT/${SPECTCL_LIB}/SpecTcl/help
${INSTALLDIR} $RPM_BUILD_ROOT/${SPECTCL_LIB}/SpecTcl/images
${INSTALLDIR} $RPM_BUILD_ROOT/${DOCDIR}
( cd bin && ${INSTALLEXE} specTcl specJava $RPM_BUILD_ROOT/${SPECTCL_LIB}/bin )
for i in `find SpecTcl -type f`
do
    ${INSTALLFIL} $i $RPM_BUILD_ROOT/${SPECTCL_LIB}/$i
done
for i in `find demo -type f`
do
    ${INSTALLFIL} $i $RPM_BUILD_ROOT/${SPECTCL_LIB}/$i
done
for i in `find examples -type f`
do
    ${INSTALLFIL} $i $RPM_BUILD_ROOT/${SPECTCL_LIB}/$i
done
(
    cd $RPM_BUILD_ROOT/usr/bin && \
    rm -f specTcl  && ln -s ${SPECTCL_LIB}/bin/specTcl && \
    rm -f specJava && ln -s ${SPECTCL_LIB}/bin/specJava
)
#fix executable permissions for tcl scripts
cd $RPM_BUILD_ROOT/${SPECTCL_LIB}/SpecTcl
chmod ugo+x *tcl

%files
%defattr(-,root,root)
%doc license.terms changes README README.JAVA INSTALL.JAVA
%docdir /usr/share/SpecTcl/SpecTcl/help
/usr/bin/specTcl
/usr/bin/specJava
/usr/share/SpecTcl

%changelog
* Mon Feb 26 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Wed Oct  8 2014 jengelh@inai.de
- Use source URLs. Remove old specfile tags/sections.
* Thu Oct 11 2012 cfarrell@suse.com
- license update: SUSE-Sun-Laboratories
  The spreadsheet linked at license.opensuse.org declares the license thus
* Tue Jun 19 2012 cfarrell@suse.com
- license update: SUSE-Sun-Labs
  SPDX format (or choose a license from the document linked at
  http://license.opensuse.org)
* Tue Jun 12 2007 lmichnovic@suse.cz
- update to version 1.2.2a
- uses now /usr/share as working directory
- setting executable flag for *tcl files
-  Changes since last update:
  * Works for Tcl/Tk 8.4a2 widgets (i.e. spinbox) Other widget sets
  like BLT, Tix etc. can be used WYSIWYG menu editor and code
  generation
  * European date system used from now on
  * (bug fix) No longer prompts for a filename when saving a project
  that was specified on the command line.
  * (bug fix) Cut, Copy & Paste between different frames now should
    work.
  * (bug fix) Correct menuname displayed when editing the menu name.
  * (improvement) Widgets & properties are now saved in the same
    sequence every time so that 'diff' clearly shows the changes.
    Especially useful under CVS.
  * (new feature) Properties of menu widgets can be directly editted
    and menu widgets can be copied.
  * (bug fix) Warning about unsaved changes now works correctly for
    menus.
  * (new feature) Row and column configuration can be done directly
  * (bug fix) Menu widget properties are now consistent with the
    toolbar.
* Mon Feb 12 2007 ro@suse.de
- fix build as non-root
* Fri Aug 11 2006 lmichnovic@suse.cz
- changed install dirs : omitting X11R6
- changed paths also in SpecTcl1.1.patch (renamed to *-dir.patch)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Sep 30 2002 pmladek@suse.cz
- do not try to use unsupported widgets to fix to work with Tcl/Tk
  version 8.4 [#20342]
* Fri Aug 17 2001 pmladek@suse.cz
- bzipped sources
* Wed Sep 20 2000 nadvornik@suse.cz
- added BuildRoot
- moved to noarch
* Thu Jun 29 2000 nadvornik@suse.cz
- changed wish42 -> wish
* Mon Jun  5 2000 ro@suse.de
- doc relocation
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 16 1998 maddin@suse.de
- first S.u.S.E. Version 1.1
- copied whole stuff to /usr/X11R6/lib/SpecTcl
- copied and linked docu to /usr/doc/packages/spectcl
- still TODO: inclusion of javadoc
